import React from "react";
import { connect } from "react-redux";
import { editOrder } from "../../actions/order_actions";

const OrderButtons = ({ order, editOrder }) => {
  // const { id, orderId, status, orderItems, createdAt, modifiedAt } = order;

  const handleUpdate = (action) => {
    console.log(action);
    if (action === "FULFILL") {
      editOrder({ ...order, status: "FULFILLED" });
    } else if (action === "CANCEL") {
      editOrder({ ...order, status: "CANCELLED" });
    }
  };

  const fulfill = (
    <div className="fulfill-btn" onClick={() => handleUpdate("FULFILL")}>
      Fulfill
    </div>
  );

  const cancel = (
    <div className="cancel-btn" onClick={() => handleUpdate("CANCEL")}>
      Cancel
    </div>
  );
  return (
    <div className="oii-buttons">
      {fulfill} {cancel}
    </div>
  );
};
const mapStateToProps = (state) => ({});

const mapDispatchToProps = (dispatch) => ({
  editOrder: (order) => dispatch(editOrder(order)),
});

export default connect(mapStateToProps, mapDispatchToProps)(OrderButtons);
